{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://jira.requirementyogi.com","description":"Generated server url"}],"tags":[{"name":"test-execution-controller","description":"API endpoints for managing test executions."},{"name":"test-case-controller","description":"API endpoints for managing test cases."},{"name":"zephyr-scale-resource","description":"Allows users to get/modify/delete their zephyr scale api tokens\n Allows admins to mark that they have installed / uninstalled the zephyr scale app."}],"paths":{"/rest/v2/variant/{id}":{"get":{"tags":["variant-resource"],"operationId":"findVariant","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"confluenceApplicationId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}},"put":{"tags":["variant-resource"],"summary":"Updates an entity by id","description":"Updates an entity by id","operationId":"update","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}},"delete":{"tags":["variant-resource"],"summary":"Deletes an entity by id","description":"Deletes an entity by id","operationId":"delete","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/test-executions/{testExecutionId}/steps/{stepNumber}":{"put":{"tags":["test-execution-controller"],"summary":"Updates test execution step.","description":"Updates test execution step.","operationId":"updateTestExecutionStep","parameters":[{"name":"testExecutionId","in":"path","description":"the ID of the test execution","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"stepNumber","in":"path","description":"the number of the test execution step","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"the test execution step update request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecutionStepUpdateRequest"}}},"required":true},"responses":{"200":{"description":"the updated test execution","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}}}}}},"/rest/test-executions/{id}":{"get":{"tags":["test-execution-controller"],"summary":"Retrieves test execution by id.","description":"Retrieves test execution by id.","operationId":"getTestExecution","parameters":[{"name":"id","in":"path","description":"the ID of the test execution","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the requested test execution","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}}}}},"put":{"tags":["test-execution-controller"],"summary":"Updates an existing test execution.","description":"Updates an existing test execution.","operationId":"updateTestExecution","parameters":[{"name":"id","in":"path","description":"the ID of the test execution","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request containing the test execution details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecutionUpdateRequest"}}},"required":true},"responses":{"200":{"description":"the updated test execution","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}}}}},"post":{"tags":["test-execution-controller"],"summary":"Archives an existing test execution.","description":"Archives an existing test execution.","operationId":"archiveTestExecution","parameters":[{"name":"id","in":"path","description":"the id of the test execution to archive","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["test-execution-controller"],"summary":"Deletes an existing test execution.","description":"Deletes an existing test execution.","operationId":"deleteTestExecution","parameters":[{"name":"id","in":"path","description":"the id of the test execution to delete","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/test-cycles/{id}":{"get":{"tags":["test-cycle-controller"],"summary":"Retrieves a test cycle.","description":"Retrieves a test cycle.","operationId":"getTestCycle","parameters":[{"name":"id","in":"path","description":"the id of the test cycle","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the requested test cycle","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycle"}}}}}},"put":{"tags":["test-cycle-controller"],"summary":"Update an existing test cycle.","description":"Update an existing test cycle.","operationId":"updateTestCycle","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the test cycle update request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleUpdateRequest"}}},"required":true},"responses":{"200":{"description":"the created test cycle","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycle"}}}}}},"delete":{"tags":["test-cycle-controller"],"summary":"Deletes a test cycle and all associated data from the system","description":"Deletes a test cycle and all associated data from the system.\n\n <p><strong>Warning:</strong> This operation will cascade delete all test executions.","operationId":"deleteTestCycle","parameters":[{"name":"id","in":"path","description":"the unique identifier of the test cycle to delete","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/test-cases/{id}":{"get":{"tags":["test-case-controller"],"summary":"Retrieves a specific version of a test case.","description":"Retrieves a specific version of a test case.","operationId":"getTestCase","parameters":[{"name":"id","in":"path","description":"the id of the test case","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the requested test case version","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCase"}}}}}},"put":{"tags":["test-case-controller"],"summary":"Updates an existing test case.","description":"Updates an existing test case.","operationId":"updateTestCase","parameters":[{"name":"id","in":"path","description":"the id of the test case version to update","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the update request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseUpdateRequest"}}},"required":true},"responses":{"200":{"description":"the updated test case","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCase"}}}}}},"delete":{"tags":["test-case-controller"],"summary":"Deletes all versions of an existing test case and its related data","description":"Deletes all versions of an existing test case and its related data.\n <p>This operation deletes:\n <ul>\n     <li>all test case versions</li>\n     <li> all test executions associated with each version</li>\n </ul>","operationId":"deleteTestCase","parameters":[{"name":"id","in":"path","description":"the id of the test case to delete","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/test-cases/{id}/steps":{"get":{"tags":["test-case-controller"],"summary":"Get the steps belonging to a test case.","description":"Get the steps belonging to a test case.\n If the version is not provided, the latest version is returned","operationId":"getTestCaseSteps","parameters":[{"name":"id","in":"path","description":"the id of the test case","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"query","description":"the specific test case version to retrieve steps for (optional)","required":false,"schema":{"minimum":0,"type":"integer","format":"int32"}},{"name":"offset","in":"query","description":"pagination offset (optional)","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page (optional)","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the step list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestStep"}}}}}},"put":{"tags":["test-case-controller"],"summary":"Updates the steps of an existing test case.","description":"Updates the steps of an existing test case.","operationId":"updateTestCaseSteps","parameters":[{"name":"id","in":"path","description":"the id of the test case to be updated","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request body containing updated test case step details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestStepsUpdateRequest"}}},"required":true},"responses":{"200":{"description":"the updated test case with the new steps","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOTestStep"}}}}}}}},"/rest/requirement-links/{linkId}":{"get":{"tags":["requirement-link-resource"],"operationId":"getRequirementLink","parameters":[{"name":"linkId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkResponse"}}}}}},"put":{"tags":["requirement-link-resource"],"operationId":"updateRequirementLink","parameters":[{"name":"linkId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkResponse"}}}}}},"delete":{"tags":["requirement-link-resource"],"operationId":"deleteRequirementLink","parameters":[{"name":"linkId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/relationships/{id}":{"put":{"tags":["relationship-resource"],"summary":"Updates a relationship by id.","description":"Updates a relationship by id.","operationId":"updateRelationship","parameters":[{"name":"id","in":"path","description":"the relationship identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the updated relationship","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORelationship"}}},"required":true},"responses":{"200":{"description":"the updated relationship","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORelationship"}}}}}},"delete":{"tags":["relationship-resource"],"summary":"Deletes a relationship by id.","description":"Deletes a relationship by id.","operationId":"deleteRelationship","parameters":[{"name":"id","in":"path","description":"the relationship identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/integrations/zephyr-scale/enabled":{"get":{"tags":["zephyr-scale-resource"],"summary":"Check if the Zephyr Scale integration is enabled by the admin.","description":"Check if the Zephyr Scale integration is enabled by the admin.","operationId":"isEnabled","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}},"put":{"tags":["zephyr-scale-resource"],"summary":"Allow an instance admin to enable the Zephyr Scale integration.","description":"Allow an instance admin to enable the Zephyr Scale integration.\n We do not have a separate api to know if an external plugin is installed on the instance.","operationId":"setEnabled","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOZephyrScaleEnableRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ZephyrScaleIntegration"}}}}}}},"/rest/applink":{"put":{"tags":["applink-resource"],"operationId":"updateLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplinkPayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}},"post":{"tags":["applink-resource"],"operationId":"createLink","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddApplinkPayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/rest/admin/queue-job/{jobId}":{"get":{"tags":["admin-queue-job-resource"],"summary":"Finds a job with a given identifier.","description":"Finds a job with a given identifier.\n This endpoint can only be used by administrators.","operationId":"getJob","parameters":[{"name":"jobId","in":"path","description":"the job identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the job, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOQueueJob"}}}}}},"put":{"tags":["admin-queue-job-resource"],"summary":"Reruns a job, the user should be admin, if the job had the status FAILED, and it succeeded we remove the old error message.","description":"Reruns a job, the user should be admin, if the job had the status FAILED, and it succeeded we remove the old error message.","operationId":"runJob","parameters":[{"name":"jobId","in":"path","description":"the job identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/admin/migrations/notification":{"get":{"tags":["migration-resource"],"operationId":"getNotifications","parameters":[{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"migrationId","in":"query","required":false,"schema":{"type":"string"}},{"name":"severity","in":"query","required":false,"schema":{"type":"string"}},{"name":"resolved","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOMigrationNotification"}}}}}},"put":{"tags":["migration-resource"],"operationId":"updateNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotification"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotification"}}}}}},"post":{"tags":["migration-resource"],"operationId":"createNotification","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotificationCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotification"}}}}}}},"/rest/admin/migrations/notification/toggle/{notificationId}":{"put":{"tags":["migration-resource"],"operationId":"toggleNotification","parameters":[{"name":"notificationId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOMigrationNotification"}}}}}}},"/rest/admin/migrations/notification/resolve-all":{"put":{"tags":["migration-resource"],"operationId":"resolveAll","parameters":[{"name":"type","in":"query","required":false,"schema":{"type":"string"}},{"name":"severity","in":"query","required":false,"schema":{"type":"string"}},{"name":"migrationId","in":"query","required":false,"schema":{"type":"string"}},{"name":"resolved","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}},"/rest/admin/configuration/static-macros":{"put":{"tags":["admin-resource"],"operationId":"updateStaticMacros","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StaticMacros"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConfiguration"}}}}}}},"/rest/admin/configuration/migration":{"put":{"tags":["admin-resource"],"operationId":"updateMigration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Migration"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConfiguration"}}}}}}},"/rest/admin/configuration/installation-checklist":{"put":{"tags":["admin-resource"],"operationId":"updateConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstallationChecklistStep"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConfiguration"}}}}}}},"/rest/admin/configuration/ai":{"put":{"tags":["admin-resource"],"operationId":"updateAIIntegration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AIIntegration"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConfiguration"}}}}}}},"/rest/v2/variant":{"post":{"tags":["variant-resource"],"summary":"Creates an entity","description":"Creates an entity","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOVariant"}}}}}}},"/rest/v2/variant/search":{"post":{"tags":["variant-resource"],"operationId":"search","parameters":[{"name":"confluenceApplicationId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int64","default":10}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RYEntityFilters"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOVariant"}}}}}}},"/rest/v2/confluence/pages/{id}":{"post":{"tags":["page-resource"],"operationId":"getPageById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePage200Response"}}}}}}},"/rest/testing-integrations/zephyr-scale/test-cases":{"post":{"tags":["zephyr-scale-test-resource"],"summary":"Fetches all test cases linked to the issues, their status, and the last execution with its status.","description":"Fetches all test cases linked to the issues, their status, and the last execution with its status.","operationId":"getTestCasesForIssue","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOGetTestCasesForIssueRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOZephyrTestOverview"}}}}}}},"/rest/test-tree-view/build-children":{"post":{"tags":["test-tree-view-controller"],"summary":"Build the children with pagination of a given tree node.","description":"Build the children with pagination of a given tree node.","operationId":"buildChildren","requestBody":{"description":"the request containing the container\n                ID and the parent node for which the children node will be built","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestTreeViewChildrenRequest"}}},"required":true},"responses":{"200":{"description":"a paginated list of child nodes as {@link DTOTestTreeNode DTOTestTreeNode}","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOTestCaseNode"},{"$ref":"#/components/schemas/DTOTestCycleNode"},{"$ref":"#/components/schemas/DTOTestPlanNode"},{"$ref":"#/components/schemas/DTOTestRootNode"}]}}}}}}},"/rest/test-executions":{"get":{"tags":["test-execution-controller"],"summary":"Retrieves a paginated list of test executions based on filter criteria.","description":"Retrieves a paginated list of test executions based on filter criteria.","operationId":"getAllTestExecutions","parameters":[{"name":"containerId","in":"query","description":"the ID of the project container to filter by","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"testCycleId","in":"query","description":"optional test cycle ID to filter by","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"testCycleKey","in":"query","description":"optional test cycle key to filter by","required":false,"schema":{"type":"string"}},{"name":"testCaseId","in":"query","description":"optional test case ID to filter by","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"testCaseVersion","in":"query","description":"optional test case version number to filter by","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"testCaseKey","in":"query","description":"optional test case key to filter by","required":false,"schema":{"type":"string"}},{"name":"testCaseName","in":"query","description":"optional test case name to filter by","required":false,"schema":{"type":"string"}},{"name":"key","in":"query","description":"optional test execution key to filter by","required":false,"schema":{"type":"string"}},{"name":"archived","in":"query","description":"optional. If true, returns only archived test cases.\n                          If false or not provided, returns only active test cases (default: false)","required":false,"schema":{"type":"boolean"}},{"name":"offset","in":"query","description":"pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sortBy","in":"query","description":"the field to sort by.","required":false,"schema":{"type":"string"}},{"name":"sortOrder","in":"query","description":"the sort direction (ASC or DESC)","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"paginated list of test executions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestExecution"}}}}}},"post":{"tags":["test-execution-controller"],"summary":"Creates a new test execution.","description":"Creates a new test execution.","operationId":"createTestExecution","requestBody":{"description":"the test execution creation request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecutionCreateRequest"}}},"required":true},"responses":{"200":{"description":"the created test case","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}}}}}},"/rest/test-executions/{id}/synchronize":{"post":{"tags":["test-execution-controller"],"summary":"Synchronizes the test execution with the associated test case version.","description":"Synchronizes the test execution with the associated test case version.\n If the test case version has changed (steps), the test execution\n is updated accordingly while preserving execution status and results.","operationId":"synchronizeTestExecution","parameters":[{"name":"id","in":"path","description":"the ID of the test execution","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the updated test execution","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}}}}}},"/rest/test-cycles":{"get":{"tags":["test-cycle-controller"],"summary":"Retrieves a paginated list of test cycles based on the given filter criteria.","description":"Retrieves a paginated list of test cycles based on the given filter criteria.","operationId":"getAllTestCycles","parameters":[{"name":"containerId","in":"query","description":"The ID of the project container to which the test cycles belong","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"query","description":"The key of the test cycle to filter","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"The name of the test cycle to filter","required":false,"schema":{"type":"string"}},{"name":"version","in":"query","description":"the version of the test cycle","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","description":"The status of the test cycle to filter","required":false,"schema":{"type":"string","enum":["NOT_STARTED","IN_PROGRESS","CANCELLED","DONE"]}},{"name":"environment","in":"query","description":"The environment of the test cycle to filter","required":false,"schema":{"type":"string"}},{"name":"assignee","in":"query","description":"The assignee of the test cycle to filter","required":false,"schema":{"type":"string"}},{"name":"includeAdHoc","in":"query","description":"Whether to include ad hoc test cycles","required":false,"schema":{"type":"boolean"}},{"name":"offset","in":"query","description":"The pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"The number of items per page","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sortBy","in":"query","description":"The field to sort by","required":false,"schema":{"type":"string"}},{"name":"sortOrder","in":"query","description":"The sort direction (ASC or DESC)","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"A paginated list of test cycles","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCycle"}}}}}},"post":{"tags":["test-cycle-controller"],"summary":"Creates a new test cycle.","description":"Creates a new test cycle.","operationId":"createTestCycle","requestBody":{"description":"the test cycle creation request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleCreateRequest"}}},"required":true},"responses":{"200":{"description":"the created test cycle","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycle"}}}}}}},"/rest/test-cycles/{testCycleId}/test-cases/remove":{"post":{"tags":["test-cycle-controller"],"summary":"Removes multiple test cases from an existing test cycle in bulk.","description":"Removes multiple test cases from an existing test cycle in bulk.","operationId":"removeTestCases","parameters":[{"name":"testCycleId","in":"path","description":"the test cycle ID","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request containing the list of test cases to delete","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleTestCaseBulkDeleteRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/rest/test-cycles/{id}/test-cases":{"get":{"tags":["test-cycle-controller"],"summary":"Retrieves a paginated list of test cases linked to a test cycle.","description":"Retrieves a paginated list of test cases linked to a test cycle.","operationId":"getTestCases","parameters":[{"name":"id","in":"path","description":"the test cycle ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"query","description":"optional test case key to filter by","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"optional test case name to filter by","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sortBy","in":"query","description":"optional field to sort by","required":false,"schema":{"type":"string"}},{"name":"sortOrder","in":"query","description":"optional sort direction (ASC or DESC)","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"paginated list of test cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCase"}}}}}},"post":{"tags":["test-cycle-controller"],"summary":"Add a test case to an existing test cycle","description":"Add a test case to an existing test cycle.\n <p>\n The test case will be added at the top of the test cycle (position 1) if the position is not provided.","operationId":"addTestCase","parameters":[{"name":"id","in":"path","description":"the test cycle ID","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request containing the test case to add","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleTestCaseAddRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}}},"/rest/test-cycles/{id}/test-cases/reorder":{"post":{"tags":["test-cycle-controller"],"summary":"Reorder test cases in a test cycle","description":"Reorder test cases in a test cycle.\n <p>\n This endpoint allows reordering test cases within a test cycle by specifying their new positions.","operationId":"reorderTestCases","parameters":[{"name":"id","in":"path","description":"the test cycle ID","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request containing the list of test cases to reorder","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleTestCaseReorderRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/rest/test-cycles/{id}/test-cases/bulk":{"post":{"tags":["test-cycle-controller"],"summary":"Add multiple test cases to an existing test cycle in bulk","description":"Add multiple test cases to an existing test cycle in bulk.\n <p>\n The test cases will be added at the top of the test cycle (position 1) if the position is not provided.","operationId":"addTestCases","parameters":[{"name":"id","in":"path","description":"the test cycle ID","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"description":"the request containing the list of test cases to add","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCycleTestCaseBulkAddRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}}},"/rest/test-cycles/{id}/archive":{"post":{"tags":["test-cycle-controller"],"summary":"Archives a test cycle and all associated data from the system","description":"Archives a test cycle and all associated data from the system.\n\n <p><strong>Warning:</strong> This operation will cascade archive all test executions.","operationId":"archiveTestCycle","parameters":[{"name":"id","in":"path","description":"the unique identifier of the test cycle to delete","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/test-cases":{"get":{"tags":["test-case-controller"],"summary":"Retrieves a paginated list of test cases based on filter criteria.","description":"Retrieves a paginated list of test cases based on filter criteria.","operationId":"getAllTestCases","parameters":[{"name":"containerId","in":"query","description":"the project container ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"query","description":"optional test case key to filter by","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"optional test case name to filter by","required":false,"schema":{"type":"string"}},{"name":"version","in":"query","description":"optional version number to filter by","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"archived","in":"query","description":"optional. If true, returns only archived test cases.\n                                      If false or not provided, returns only active test cases (default: false)","required":false,"schema":{"type":"boolean"}},{"name":"excludeLinkedToTestCycleId","in":"query","description":"optional test cycle ID to filter test cases that are not linked to this test cycle","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sortBy","in":"query","description":"optional field to sort by","required":false,"schema":{"type":"string"}},{"name":"sortOrder","in":"query","description":"optional sort direction (ASC or DESC)","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"paginated list of test cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCase"}}}}}},"post":{"tags":["test-case-controller"],"summary":"Creates a new test case.","description":"Creates a new test case.","operationId":"createTestCase","requestBody":{"description":"the test case creation request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseCreateRequest"}}},"required":true},"responses":{"200":{"description":"the created test case","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCase"}}}}}}},"/rest/test-cases/{id}/versions/{version}":{"post":{"tags":["test-case-controller"],"summary":"Archives the given test case version and its related data","description":"Archives the given test case version and its related data.\n <p>This operation archives:\n <ul>\n     <li>the test case version</li>\n     <li>the associated test executions</li>\n </ul>","operationId":"archiveTestCaseVersion","parameters":[{"name":"id","in":"path","description":"the id of the test case to archive","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","description":"the version to archive","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}},"delete":{"tags":["test-case-controller"],"summary":"Deletes the given test case version and its related data","description":"Deletes the given test case version and its related data.\n <p>This operation deletes:\n <ul>\n     <li>the test case version</li>\n     <li>the associated test executions</li>\n </ul>","operationId":"deleteTestCaseVersion","parameters":[{"name":"id","in":"path","description":"the id of the test case to delete","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"version","in":"path","description":"test case version to delete","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/test-cases/{id}/versions/{versionNumber}/requirements":{"get":{"tags":["test-case-controller"],"summary":"Retrieves a paginated list of requirements linked to the test case.","description":"Retrieves a paginated list of requirements linked to the test case.","operationId":"getRequirements","parameters":[{"name":"id","in":"path","description":"the test case id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"the test case version number","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"requirementKeyFilter","in":"query","description":"optional filter to search for requirements whose keys start with the specified text.","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":100}}],"responses":{"200":{"description":"paginated list of requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirement"}}}}}},"post":{"tags":["test-case-controller"],"summary":"Creates a link between a test case version and a requirement based on the provided details.","description":"Creates a link between a test case version and a requirement based on the provided details.","operationId":"addRequirement","parameters":[{"name":"id","in":"path","description":"The ID of the test case for which the link is to be created.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"The version number of the test case","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Contains the details of the requirement to be linked.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseRequirementLinkRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}},"delete":{"tags":["test-case-controller"],"summary":"Removes a link between a test case version and a requirement.","description":"Removes a link between a test case version and a requirement.","operationId":"removeRequirement","parameters":[{"name":"id","in":"path","description":"The ID of the test case for which the link is to be removed.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"The version number of the test case","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"applicationId","in":"query","description":"the id of the application containing the requirement","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"containerId","in":"query","description":"the requirement container ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"query","description":"the requirement key","required":true,"schema":{"type":"string"}},{"name":"variantId","in":"query","description":"the ID of the requirement variant","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/test-cases/{id}/versions/{versionNumber}/requirements/remove":{"post":{"tags":["test-case-controller"],"summary":"Removes links between a test case version and a list of requirements.","description":"Removes links between a test case version and a list of requirements.","operationId":"removeRequirements","parameters":[{"name":"id","in":"path","description":"The ID of the test case for which the link is to be created.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"The version number of the test case","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Contains the list of the requirements for which the links are to be removed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseRequirementBulkLinkRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/rest/test-cases/{id}/versions/{versionNumber}/requirements/bulk":{"post":{"tags":["test-case-controller"],"summary":"Creates links between a test case version and a list of requirements.","description":"Creates links between a test case version and a list of requirements.","operationId":"addRequirements","parameters":[{"name":"id","in":"path","description":"The ID of the test case for which the links are to be created.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"The version number of the test case","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Contains the list of the requirements to be linked.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseRequirementBulkLinkRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}}},"/rest/test-cases/{id}/versions/{versionNumber}/jira-issues":{"get":{"tags":["test-case-controller"],"summary":"Retrieves a paginated list of Jira issues linked to the test case.","description":"Retrieves a paginated list of Jira issues linked to the test case.","operationId":"getJiraIssues","parameters":[{"name":"id","in":"path","description":"the test case id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"the test case version number","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"offset","in":"query","description":"pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":100}}],"responses":{"200":{"description":"paginated list of requirement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOJiraIssue"}}}}}},"post":{"tags":["test-case-controller"],"summary":"Creates a link between a test case version and a Jira issue.","description":"Creates a link between a test case version and a Jira issue.","operationId":"addJiraIssue","parameters":[{"name":"id","in":"path","description":"The ID of the test case for which the link is to be created.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"The version number of the test case","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Contains the details of the Jira issue to be linked.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCaseJiraIssueLinkCreateRequest"}}},"required":true},"responses":{"201":{"description":"Created"}}}},"/rest/test-cases/{id}/archive":{"post":{"tags":["test-case-controller"],"summary":"Archives all versions of an existing test case and its related data","description":"Archives all versions of an existing test case and its related data.\n <p>This operation archives:\n <ul>\n     <li>all test case versions</li>\n     <li> all test executions associated with each version</li>\n </ul>","operationId":"archiveTestCase","parameters":[{"name":"id","in":"path","description":"the id of the test case to archive","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/requirement-links":{"get":{"tags":["requirement-link-resource"],"operationId":"getRequirementLinks","parameters":[{"name":"issueId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"filterRequirementKey","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":200}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirementLinkResponse"}}}}}},"post":{"tags":["requirement-link-resource"],"summary":"Creates a link of a requirement to a given Jira issue.","description":"Creates a link of a requirement to a given Jira issue.\n Edit permissions are checked on the issue and on the target requirement space.","operationId":"createRequirementLink","requestBody":{"description":"the payload to create a link","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkCreateRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkResponse"}}}}}}},"/rest/requirement-links/{issueId}/atlassian/import":{"post":{"tags":["requirement-link-resource"],"summary":"Add multiples requirements to an issue\n We verify that the user has permission to edit the issue\n The requirements parameters can be incomplete, it will be handled by the search service.","description":"Add multiples requirements to an issue\n We verify that the user has permission to edit the issue\n The requirements parameters can be incomplete, it will be handled by the search service.","operationId":"addMultipleRequirements","parameters":[{"name":"issueId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTORawAtlassianRequirement"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseWithMessageDTORequirement"}}}}}}},"/rest/requirement-links/bulk":{"post":{"tags":["requirement-link-resource"],"summary":"Creates in bulk, links to the requirements for a given Jira issue.","description":"Creates in bulk, links to the requirements for a given Jira issue. It assumes all requirements are linked to a single issue.\n Edit permissions are checked on the issue and on the target requirement space.","operationId":"createRequirementLinks","requestBody":{"description":"the payload of the request to create links","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORequirementLinkBulkCreateRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTORequirementLinkResponse"}}}}}}}},"/rest/relationships":{"get":{"tags":["relationship-resource"],"summary":"Finds all relationships.","description":"Finds all relationships.","operationId":"getRelationships","parameters":[{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":1000}}],"responses":{"200":{"description":"the list of relationships","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORelationship"}}}}}},"post":{"tags":["relationship-resource"],"summary":"Creates a relationship.","description":"Creates a relationship.","operationId":"createRelationship","requestBody":{"description":"the relationship to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORelationship"}}},"required":true},"responses":{"201":{"description":"the created relationship","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTORelationship"}}}}}}},"/rest/jql/contains-requirements":{"post":{"tags":["jql-resource"],"operationId":"containsRequirements","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JQLFunctionPayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JQLOutput"}}}}}}},"/rest/integrations/zephyr-scale":{"get":{"tags":["zephyr-scale-resource"],"summary":"Only return the integration, not the token","description":"Only return the integration, not the token","operationId":"get","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOZephyrScaleIntegration"}}}}}},"post":{"tags":["zephyr-scale-resource"],"summary":"Save the token for the user","description":"Save the token for the user","operationId":"save","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOCreateZephyrScaleIntegration"}}},"required":true},"responses":{"200":{"description":"OK"}}},"delete":{"tags":["zephyr-scale-resource"],"summary":"Delete the token for the user","description":"Delete the token for the user","operationId":"delete_1","responses":{"200":{"description":"OK"}}}},"/rest/content-tree/init":{"post":{"tags":["content-tree-resource"],"operationId":"createContentTree","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContentTreePayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DatabaseNode"},{"$ref":"#/components/schemas/EmbedNode"},{"$ref":"#/components/schemas/ErrorNode"},{"$ref":"#/components/schemas/FolderNode"},{"$ref":"#/components/schemas/PageNode"},{"$ref":"#/components/schemas/RequirementNode"},{"$ref":"#/components/schemas/SpaceNode"},{"$ref":"#/components/schemas/WhiteboardNode"}]}}}}}}},"/rest/content-tree/children":{"post":{"tags":["content-tree-resource"],"operationId":"getChildren","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContentTreePayload"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DatabaseNode"},{"$ref":"#/components/schemas/EmbedNode"},{"$ref":"#/components/schemas/ErrorNode"},{"$ref":"#/components/schemas/FolderNode"},{"$ref":"#/components/schemas/PageNode"},{"$ref":"#/components/schemas/RequirementNode"},{"$ref":"#/components/schemas/SpaceNode"},{"$ref":"#/components/schemas/WhiteboardNode"}]}}}}}}},"/rest/admin/uninstall":{"get":{"tags":["admin-resource"],"operationId":"getUninstallJobs","parameters":[{"name":"jobIds","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOUninstall"}}}}}}},"post":{"tags":["admin-resource"],"summary":"Creates a new job to uninstall the data from the app\n User clicks and data are removed immediately.","description":"Creates a new job to uninstall the data from the app\n User clicks and data are removed immediately.\n The plugin is still installed","operationId":"deleteAllData","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOUninstall"}}}}}}},"/rest/admin/queue-job/{jobId}/cancel":{"post":{"tags":["admin-queue-job-resource"],"summary":"Cancels a job in progress.","description":"Cancels a job in progress.\n This endpoint can only be used by administrators.","operationId":"cancelJob","parameters":[{"name":"jobId","in":"path","description":"the job identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/admin/migrations/jira/project-file":{"post":{"tags":["jira-migration-resource"],"operationId":"migrateJiraProjectFile","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraMigrationFile"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraProjectMigrationResponse"}}}}}}},"/rest/admin/migrations/event":{"post":{"tags":["migration-resource"],"operationId":"postMigrationEvent","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ForgeMigrationEvent"}}},"required":true},"responses":{"204":{"description":"No Content"}}}},"/rest/adf/convert":{"post":{"tags":["adf-resource"],"summary":"Converts an ADF document into a different format.","description":"Converts an ADF document into a different format.","operationId":"convertAdf","requestBody":{"description":"the ADF document to convert","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAdfConvertRequest"}}},"required":true},"responses":{"200":{"description":"the converted ADF document","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOAdfConvertResponse"}}}}}}},"/rest/web-panel/requirements/{issueId}":{"get":{"tags":["web-panel-resource"],"summary":"Gets the list of {@link DTORequirement DTORequirement} for this issue.","description":"Gets the list of {@link DTORequirement DTORequirement} for this issue.","operationId":"getRequirements_1","parameters":[{"name":"issueId","in":"path","description":"the issue id, used on an Atlassian request to get the content of the custom field","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"refreshCache","in":"query","description":"boolean used if we need to refresh the cache of space permission And refresh the JiraLink in the database","required":false,"schema":{"type":"boolean","default":false}},{"name":"searchedRequirementKey","in":"query","description":"the key of the requirement","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"a list of DTORequirement filtered by space permission","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseWithMessageDTORequirement"}}}}},"deprecated":true}},"/rest/testing-integrations/zephyr-scale/enabled":{"get":{"tags":["zephyr-scale-test-resource"],"summary":"Check if the Zephyr Scale integration is enabled by the admin.","description":"Check if the Zephyr Scale integration is enabled by the admin.","operationId":"enabled","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/test-tree-view/{containerId}":{"get":{"tags":["test-tree-view-controller"],"summary":"Retrieves the test tree view","description":"Retrieves the test tree view.\n <p>\n It returns a tree containing a paginated list of nodes according to the given root type\n or the current default root level e.g., {@link TreeNodeType#TEST_CYCLE TreeNodeType#TEST_CYCLE}\n </p>","operationId":"buildTree","parameters":[{"name":"containerId","in":"path","description":"the container ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"rootType","in":"query","description":"the root type of the tree","required":false,"schema":{"type":"string","enum":["ROOT","TEST_CASE","TEST_CYCLE","TEST_PLAN"]}},{"name":"offset","in":"query","description":"the offset pagination","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"the limit of the pagination","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"a {@link DTOTestRootNode DTOTestRootNode} containing the paginated root nodes","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestRootNode"}}}}}}},"/rest/test-executions/{id}/steps":{"get":{"tags":["test-execution-controller"],"summary":"Retrieves the steps belonging to a test execution.","description":"Retrieves the steps belonging to a test execution.","operationId":"getTestCaseSteps_1","parameters":[{"name":"id","in":"path","description":"the id of the test execution","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"pagination offset (optional)","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page (optional)","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}}],"responses":{"200":{"description":"the step list","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestStepExecution"}}}}}}},"/rest/test-executions/{id}/outdated":{"get":{"tags":["test-execution-controller"],"summary":"Determines whether the test steps of a test execution are outdated compared to the source test case.","description":"Determines whether the test steps of a test execution are outdated compared to the source test case.","operationId":"isTestExecutionOutdated","parameters":[{"name":"id","in":"path","description":"the ID of the test execution","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the outdate status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecutionOutOfDateStatus"}}}}}}},"/rest/test-executions/latest":{"get":{"tags":["test-execution-controller"],"summary":"Retrieves the latest test execution by the test case ID and version and by the test cycle.","description":"Retrieves the latest test execution by the test case ID and version and by the test cycle.\n It creates a new test execution if not existing yet.","operationId":"getLatestTestExecution","parameters":[{"name":"testCycleId","in":"query","description":"the ID of the test cycle","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"testCaseId","in":"query","description":"the ID of the test case","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"testCaseVersion","in":"query","description":"the version number of the test case","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"the requested test execution.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestExecution"}}}}}}},"/rest/test-cycles/{id}/test-cases/latest-execution":{"get":{"tags":["test-cycle-controller"],"summary":"Retrieves a paginated list of test cases linked to a test cycle with its latest execution if exists.","description":"Retrieves a paginated list of test cases linked to a test cycle with its latest execution if exists.","operationId":"getTestCasesWithLatestExecution","parameters":[{"name":"id","in":"path","description":"the test cycle ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"key","in":"query","description":"optional test case key to filter by","required":false,"schema":{"type":"string"}},{"name":"name","in":"query","description":"optional test case name to filter by","required":false,"schema":{"type":"string"}},{"name":"offset","in":"query","description":"pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sortBy","in":"query","description":"optional field to sort by","required":false,"schema":{"type":"string"}},{"name":"sortOrder","in":"query","description":"optional sort direction (ASC or DESC)","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"paginated list of test cases associates with its latest execution","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCaseExecution"}}}}}}},"/rest/test-cases/{id}/versions":{"get":{"tags":["test-case-controller"],"summary":"Retrieves a paginated list of all versions for a specific test case.","description":"Retrieves a paginated list of all versions for a specific test case.","operationId":"getAllTestCaseVersions","parameters":[{"name":"id","in":"path","description":"the test case ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":20}},{"name":"sortBy","in":"query","description":"optional field to sort by","required":false,"schema":{"type":"string"}},{"name":"sortOrder","in":"query","description":"optional sort direction (ASC or DESC)","required":false,"schema":{"type":"string","enum":["ASC","DESC"]}}],"responses":{"200":{"description":"paginated list of test cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOTestCase"}}}}}}},"/rest/test-cases/{id}/versions/{versionNumber}":{"get":{"tags":["test-case-controller"],"summary":"Retrieves a specific version of a test case.","description":"Retrieves a specific version of a test case.","operationId":"getTestCaseVersion","parameters":[{"name":"id","in":"path","description":"the test case ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"the test case version","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"The test case, if found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOTestCase"}}}}}}},"/rest/test-cases/{id}/version-numbers":{"get":{"tags":["test-case-controller"],"summary":"Retrieves a paginated list containing the version numbers of a test case.","description":"Retrieves a paginated list containing the version numbers of a test case.","operationId":"getTestCaseVersionNumbers","parameters":[{"name":"id","in":"path","description":"the test case id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","description":"maximum number of items per page","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":100}},{"name":"sortOrder","in":"query","description":"optional sort direction (ASC or DESC)","required":false,"schema":{"type":"string","enum":["ASC","DESC"],"default":"ASC"}}],"responses":{"200":{"description":"paginated list of test cases","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultInteger"}}}}}}},"/rest/spaces/{id}":{"get":{"tags":["space-resource"],"summary":"Get Confluence space by id (internal use)","description":"Get Confluence space by id (internal use)","operationId":"getSpaceById","parameters":[{"name":"id","in":"path","description":"the space id","required":true,"schema":{"minimum":0,"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the space","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOConfluenceSpace"}}}}}}},"/rest/spaces/search":{"get":{"tags":["space-resource"],"operationId":"searchSpaces","parameters":[{"name":"partialName","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOApplicationIdSpaceList"}}}}}}}},"/rest/spaces/by-key":{"get":{"tags":["space-resource"],"summary":"Get Confluence space by key (internal use)","description":"Get Confluence space by key (internal use)","operationId":"getSpacesByKey","parameters":[{"name":"keys","in":"query","description":"the space key","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"the spaces result","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MultiEntityResultSpace"}}}}}}},"/rest/search":{"get":{"tags":["search-resource"],"summary":"Search requirements with the query string\n ","description":"Search requirements with the query string\n <p>\n Note: page titles are not filled (filled in javascript)","operationId":"search_1","parameters":[{"name":"query","in":"query","required":true,"schema":{"type":"string"}},{"name":"spaceKey","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"includeDeleted","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeMoved","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withExternalProperties","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withJiraData","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withOriginalLinks","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"withLinks","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"withDependencies","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"variants","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirement"}}}}}}},"/rest/search/key-or-description":{"get":{"tags":["search-resource"],"summary":"Search requirements first by key, then by description if no results are found by key","description":"Search requirements first by key, then by description if no results are found by key.\n <p>\n Note: page titles are not filled (filled in avascript)","operationId":"searchByKeyOrDescription","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string"}},{"name":"variantId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"spaceKey","in":"query","required":false,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"includeDeleted","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"includeMoved","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withExternalProperties","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withJiraData","in":"query","required":false,"schema":{"type":"boolean","default":false}},{"name":"withOriginalLinks","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"withLinks","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"withDependencies","in":"query","required":false,"schema":{"type":"boolean","default":true}},{"name":"variants","in":"query","required":false,"schema":{"type":"array","items":{"type":"integer","format":"int64"}}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirement"}}}}}}},"/rest/requirement-links/frozen":{"get":{"tags":["requirement-link-resource"],"operationId":"getFrozenRequirementLinks","parameters":[{"name":"issueId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","required":false,"schema":{"minimum":0,"type":"integer","format":"int64","default":0}},{"name":"limit","in":"query","required":false,"schema":{"maximum":200,"minimum":1,"type":"integer","format":"int32","default":200}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTORequirementLinkResponse"}}}}}}},"/rest/permissions/user/space/{spaceKey}":{"get":{"tags":["permission-resource"],"operationId":"getUserPermissionForSpace","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}},{"name":"permission","in":"query","required":true,"schema":{"type":"string","enum":["ADMINISTER","READ","UPDATE","DELETE","EXPORT","MANAGE_LOOK_AND_FEEL","MANAGE_TEMPLATES","MANAGE_USERS","MANAGE_NONLICENSED_USERS","MANAGE_GUEST_USERS","MANAGE_PUBLIC_LINKS","MANAGE_CONTENT","CREATE_PAGE","CREATE_BLOGPOST","CREATE_COMMENT","CREATE_ATTACHMENT"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/sysadmin":{"get":{"tags":["permission-resource"],"operationId":"isSysAdminInstance","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/spaces":{"get":{"tags":["permission-resource"],"operationId":"getAccessibleSpaces","parameters":[{"name":"spaceKey","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"cursor","in":"query","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/SearchPageResponseSearchResult"}}}}}}},"/rest/permissions/space-champion":{"get":{"tags":["permission-resource"],"operationId":"isSpaceChampion","parameters":[{"name":"spaceKey","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/customer/enabled":{"get":{"tags":["permission-resource"],"operationId":"isCustomerEnabled","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/cleancache":{"get":{"tags":["permission-resource"],"summary":"By default, only removes cache for current user.","description":"By default, only removes cache for current user.\n ?allUsers=true remove data for all users for current clientKey","operationId":"cleanCache","parameters":[{"name":"allUsers","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseOkString"}}}}}}},"/rest/permissions/champion-group-member":{"get":{"tags":["permission-resource"],"operationId":"isChampionGroupMember","parameters":[{"name":"accountId","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/permissions/application/space/{spaceKey}":{"get":{"tags":["permission-resource"],"summary":"Returns the permission of the current app for the provided space.","description":"Returns the permission of the current app for the provided space.","operationId":"getAppPermissionsForSpace","parameters":[{"name":"spaceKey","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOAppSpacePermission"}}}}}}},"/rest/permissions/admin":{"get":{"tags":["permission-resource"],"operationId":"isAdmin","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/jira/users":{"get":{"tags":["jira-user-resource"],"summary":"Finds Jira users by query (matches displayName, email or username).","description":"Finds Jira users by query (matches displayName, email or username).","operationId":"findUsers","parameters":[{"name":"query","in":"query","description":"the query to filter the Jira users","required":false,"schema":{"type":"string","default":""}}],"responses":{"200":{"description":"the list of Jira users","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JiraUser"}}}}}}}},"/rest/jira/users/{accountId}":{"get":{"tags":["jira-user-resource"],"summary":"Finds a Jira user by account id.","description":"Finds a Jira user by account id.","operationId":"getUser","parameters":[{"name":"accountId","in":"path","description":"the account id of the Jira user","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the Jira user","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JiraUser"}}}}}}},"/rest/jira/permissions/issue/{issueId}":{"get":{"tags":["jira-permissions-resource"],"operationId":"hasPermissionOnIssue","parameters":[{"name":"issueId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"permission","in":"query","required":true,"schema":{"type":"string","enum":["READ","EDIT","DELETE"]}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/groups/{groupId}/members":{"get":{"tags":["user-group-resource"],"summary":"Internal use","description":"Internal use","operationId":"getGroupMembersByGroupId","parameters":[{"name":"groupId","in":"path","required":true,"schema":{"type":"string"}},{"name":"start","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"shouldReturnTotalSize","in":"query","required":false,"schema":{"type":"boolean"}},{"name":"expand","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserArray"}}}}}}},"/rest/groups/champion":{"get":{"tags":["user-group-resource"],"summary":"Internal use","description":"Internal use","operationId":"getChampionGroup","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Group"}}}}}}},"/rest/containers/jira/projects/{projectId}":{"get":{"tags":["container-controller"],"summary":"Get the project container by id.","description":"Get the project container by id.","operationId":"getProject","parameters":[{"name":"projectId","in":"path","description":"the id of the container","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"the container","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]}}}}}}},"/rest/applink/with-integration":{"get":{"tags":["applink-resource"],"operationId":"getApplinksWithIntegration","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppLinkSummaryWithIntegration"}}}}}}}},"/rest/applink/with-count":{"get":{"tags":["applink-resource"],"operationId":"getAllAppLinksWithCount","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppLinkSummary"}}}}}}}},"/rest/applink/linked":{"get":{"tags":["applink-resource"],"operationId":"isLinked","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}},"/rest/applink/all":{"get":{"tags":["applink-resource"],"operationId":"getAppLinks","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppLinkSummary"}}}}}}}},"/rest/applications/current":{"get":{"tags":["Applications"],"summary":"Finds the current application","description":"Finds the current application.\n <p>\n Required permissions: None (anyone can view the current application they are authenticated with).\n </p>","operationId":"getCurrentApplication","responses":{"200":{"description":"the current application","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceApplication"},{"$ref":"#/components/schemas/DTOJiraApplication"},{"$ref":"#/components/schemas/DTOStandaloneApplication"}]}}}}}}},"/rest/admin/requirement-usage":{"get":{"tags":["admin-resource"],"operationId":"getRequirementsCountPerSpace","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RequirementsPerSpace"}}}}}}}},"/rest/admin/queue-job":{"get":{"tags":["admin-queue-job-resource"],"summary":"Get the list of jobs.","description":"Get the list of jobs. If the user is admin he can fetch all jobs no matter what the space is,\n if it's a normal user, he needs to specify a space.","operationId":"getJobs","parameters":[{"name":"spaceKey","in":"query","description":"the space key (can be empty if the user is admin)","required":false,"schema":{"type":"string","default":""}},{"name":"eventType","in":"query","description":"filter the results by event type","required":false,"schema":{"type":"string","default":""}},{"name":"jobStatus","in":"query","description":"filter the results by job status","required":false,"schema":{"type":"string","default":""}},{"name":"pageId","in":"query","description":"filter the results by page identifier","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"offset","in":"query","description":"the pagination offset","required":false,"schema":{"minimum":0,"type":"integer","format":"int32","default":0}},{"name":"limit","in":"query","description":"the pagination limit","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}},{"name":"order","in":"query","description":"the direction of the order by (defaults to DESC)","required":false,"schema":{"type":"string","default":"DESC"}}],"responses":{"200":{"description":"the paginated list of jobs","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DTOSearchResultDTOQueueJob"}}}}}}},"/rest/admin/queue-job/runJobs":{"get":{"tags":["admin-queue-job-resource"],"operationId":"runJobs","responses":{"200":{"description":"OK"}}}},"/rest/admin/queue-job/migration-jobs":{"get":{"tags":["admin-queue-job-resource"],"operationId":"getMigrationJobs","parameters":[{"name":"limit","in":"query","required":false,"schema":{"maximum":10000,"minimum":1,"type":"integer","format":"int32","default":200}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DTOQueueJob"}}}}}}}},"/rest/admin/migrations/migrations":{"get":{"tags":["migration-resource"],"operationId":"getMigrations","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/DTOMigrationIdentifier"}}}}}}}},"/rest/admin/migrations/jira/project-file/{migrationFileId}/job":{"get":{"tags":["jira-migration-resource"],"operationId":"getMigrationFileQueueJobId","parameters":[{"name":"migrationFileId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"integer","format":"int64"}}}}}}},"/rest/admin/configuration":{"get":{"tags":["admin-resource"],"operationId":"getCustomerConfiguration","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserConfiguration"}}}}}}},"/rest/addon/configuration/testing-enabled":{"get":{"tags":["addon-configuration-resource"],"operationId":"isTestingEnabled","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/addon/configuration/migration-enabled":{"get":{"tags":["addon-configuration-resource"],"operationId":"isMigrationEnabled","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"boolean"}}}}}}},"/rest/addon/configuration/apps":{"get":{"tags":["addon-configuration-resource"],"summary":"Fallback in dev environments","description":"Fallback in dev environments","operationId":"retrieveAppIds","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/DTOApplicationIds"}}}}}}},"/rest/about":{"get":{"tags":["about-resource"],"operationId":"getLicenses","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/JsonNode"}}}}}}},"/rest/about/licenses":{"get":{"tags":["about-resource"],"operationId":"getMavenLicenses","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/MavenLicenseSummary"}}}}}}},"/health":{"get":{"tags":["health-resource"],"summary":"Just a URL that we can hit to check the plugin is online and alive","description":"Just a URL that we can hit to check the plugin is online and alive.\n <p>\n BEWARE This is publicly accessible without authentication. Only return global statistics.\n </p>","operationId":"getInfo","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object"}}}}}}}},"/rest/test-cycles/{testCycleId}/test-cases{testCaseId}/versions/{versionNumber}":{"delete":{"tags":["test-cycle-controller"],"summary":"Remove a test case from an existing test cycle.","description":"Remove a test case from an existing test cycle.","operationId":"removeTestCase","parameters":[{"name":"testCycleId","in":"path","description":"the test cycle ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"testCaseId","in":"path","description":"the test case ID","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"the test case version number","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/test-cases/{id}/versions/{versionNumber}/jira-issues/{jiraIssueId}":{"delete":{"tags":["test-case-controller"],"summary":"Removes a link between a test case version and a Jira issue.","description":"Removes a link between a test case version and a Jira issue.","operationId":"removeJiraIssue","parameters":[{"name":"id","in":"path","description":"The ID of the test case for which the link is to be removed.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"versionNumber","in":"path","description":"The version number of the test case","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"jiraIssueId","in":"path","description":"the Jira issue id","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}},"/rest/applink/{targetAppId}":{"delete":{"tags":["applink-resource"],"summary":"Create a APPLINK_DISSOCIATED job in the uninstallation table\n When user clicks on it, data are removed immediately.","description":"Create a APPLINK_DISSOCIATED job in the uninstallation table\n When user clicks on it, data are removed immediately.\n The plugin is still installed.","operationId":"deleteApplink","parameters":[{"name":"targetAppId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}},"/rest/admin/uninstall/{jobId}":{"delete":{"tags":["admin-resource"],"operationId":"dismissJob","parameters":[{"name":"jobId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"204":{"description":"No Content"}}}}},"components":{"schemas":{"DBJiraIssueContainer":{"required":["applicationId","id","issueId","levels","type","version"],"type":"object","properties":{"applicationId":{"type":"integer","format":"int64"},"id":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["CONFLUENCE_INSTANCE","CONFLUENCE_SPACE","CONFLUENCE_PAGE","JIRA_INSTANCE","JIRA_PROJECT","JIRA_ISSUE","TEST_CASE_VERSION","EXCEL_FILE","STANDALONE_PROJECT"]},"version":{"type":"integer","format":"int32"},"projectId":{"type":"integer","format":"int64"},"issueId":{"type":"integer","format":"int64"},"levels":{"type":"array","items":{"type":"string","enum":["INSTANCE","PROJECT","DOCUMENT"]}}}},"DTOConfluenceInstanceContainer":{"required":["applicationId","id","levels","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"}]},"DTOConfluencePageContainer":{"required":["applicationId","id","levels","pageId","spaceId","spaceKey","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"spaceId":{"type":"integer","format":"int64"},"spaceKey":{"type":"string"},"pageId":{"type":"integer","format":"int64"}}}]},"DTOConfluenceSpaceContainer":{"required":["applicationId","id","levels","spaceId","spaceKey","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"spaceId":{"type":"integer","format":"int64"},"spaceKey":{"type":"string"}}}]},"DTOContainer":{"required":["applicationId","id","levels","type"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"applicationId":{"type":"integer","format":"int64"},"type":{"type":"string","enum":["CONFLUENCE_INSTANCE","CONFLUENCE_SPACE","CONFLUENCE_PAGE","JIRA_INSTANCE","JIRA_PROJECT","JIRA_ISSUE","TEST_CASE_VERSION","EXCEL_FILE","STANDALONE_PROJECT"]},"levels":{"type":"array","readOnly":true,"items":{"type":"string","enum":["INSTANCE","PROJECT","DOCUMENT"]}}},"discriminator":{"propertyName":"type"}},"DTOExcelFileContainer":{"required":["applicationId","fileName","id","levels","parentContainerId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"parentContainerId":{"type":"integer","format":"int64"},"fileName":{"type":"string"}}}]},"DTOJiraInstanceContainer":{"required":["applicationId","id","levels","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"}]},"DTOJiraIssue":{"required":["container","hasNoPermission","issueId","issueKey","issueTypeIconUrl","status","summary","url"],"type":"object","properties":{"issueId":{"type":"integer","format":"int64"},"issueKey":{"type":"string"},"projectId":{"type":"string"},"summary":{"type":"string"},"issueTypeIconUrl":{"type":"string"},"status":{"type":"string"},"url":{"type":"string"},"fields":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/JsonNode"}},"hasNoPermission":{"type":"boolean"},"container":{"$ref":"#/components/schemas/DBJiraIssueContainer"}}},"DTOJiraIssueContainer":{"required":["applicationId","id","issue","issueId","levels","projectId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"projectId":{"type":"integer","format":"int64"},"issueId":{"type":"integer","format":"int64"},"issue":{"$ref":"#/components/schemas/DTOJiraIssue"}}}]},"DTOJiraProjectContainer":{"required":["applicationId","id","levels","projectId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"projectId":{"type":"integer","format":"int64"}}}]},"DTOStandaloneProjectContainer":{"required":["applicationId","id","levels","standaloneProjectId","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"standaloneProjectId":{"type":"integer","format":"int64"}}}]},"DTOTestCaseVersionContainer":{"required":["applicationId","id","levels","testCaseId","testCaseKey","type","versionNumber"],"type":"object","allOf":[{"$ref":"#/components/schemas/DTOContainer"},{"type":"object","properties":{"testCaseId":{"type":"integer","format":"int64"},"testCaseKey":{"type":"string"},"versionNumber":{"type":"integer","format":"int32"}}}]},"DTOVariant":{"required":["batchId","canEdit","container","createdAt","current","description","modifiedAt","name","ownerAccountId","scrollDocumentId","sharedLevel","spaceKey","status","type"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"ownerAccountId":{"type":"string"},"spaceKey":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"sharedLevel":{"type":"string","enum":["NONE","SHARED_VIEW","SHARED_EDIT"]},"canEdit":{"type":"boolean"},"container":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]},"current":{"type":"boolean"},"status":{"type":"string","enum":["ACTIVE","DELETED","ARCHIVED"]},"scrollDocumentId":{"type":"string"},"batchId":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"modifiedAt":{"type":"string","format":"date-time"},"parentVariant":{"$ref":"#/components/schemas/DTOVariant"},"freezeStatus":{"type":"string","enum":["DRAFT","FREEZING","FROZEN","SOFT_CANCELLING","SOFT_CANCELLED","CANCELLED"]},"freezeStatusMessage":{"type":"string"},"freezeStartAt":{"type":"string","format":"date-time"},"freezeEndAt":{"type":"string","format":"date-time"},"type":{"type":"string","enum":["VARIANT","BASELINE"]}}},"JsonNode":{"type":"object"},"DTOTestExecutionStepUpdateRequest":{"required":["status"],"type":"object","properties":{"actualResult":{"type":"string"},"status":{"type":"string","enum":["NOT_EXECUTED","IN_PROGRESS","PASSED","FAILED","BLOCKED"]},"comment":{"type":"string"}}},"DTOTestExecution":{"required":["applicationId","automated","containerId","executionStatus","id","key","testCaseId","testCaseKey","testCaseName","testCaseVersion","testCycleId","testCycleKey","testCycleName"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"applicationId":{"type":"integer","format":"int64"},"containerId":{"type":"integer","format":"int64"},"testCycleId":{"type":"integer","format":"int64"},"testCycleKey":{"type":"string"},"testCycleName":{"type":"string"},"testCaseId":{"type":"integer","format":"int64"},"testCaseVersion":{"type":"integer","format":"int32"},"testCaseKey":{"type":"string"},"testCaseName":{"type":"string"},"key":{"type":"string"},"executionStatus":{"type":"string","enum":["NOT_EXECUTED","IN_PROGRESS","PASSED","FAILED","BLOCKED"]},"comment":{"type":"string"},"automated":{"type":"boolean"},"executedBy":{"type":"string"},"startedAt":{"type":"string","format":"date-time"},"finishedAt":{"type":"string","format":"date-time"}}},"DTOTestExecutionUpdateRequest":{"type":"object","properties":{"comment":{"type":"string"},"status":{"type":"string","enum":["NOT_EXECUTED","IN_PROGRESS","PASSED","FAILED","BLOCKED"]}}},"DTOTestCycleUpdateRequest":{"required":["isAdhoc","name"],"type":"object","properties":{"name":{"minLength":1,"type":"string"},"description":{"type":"string"},"status":{"type":"string","enum":["NOT_STARTED","IN_PROGRESS","CANCELLED","DONE"]},"environment":{"type":"string"},"version":{"type":"string"},"assignedTo":{"type":"string"},"plannedStartDate":{"type":"string","format":"date-time"},"plannedEndDate":{"type":"string","format":"date-time"},"isAdhoc":{"type":"boolean"}}},"DTOTestCycle":{"required":["applicationId","assignedTo","containerId","createdAt","createdBy","description","environment","id","isAdhoc","key","name","plannedEndDate","plannedStartDate","status","updatedAt","version"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"applicationId":{"type":"integer","format":"int64"},"containerId":{"type":"integer","format":"int64"},"key":{"minLength":1,"type":"string"},"name":{"minLength":1,"type":"string"},"description":{"type":"string"},"status":{"type":"string","enum":["NOT_STARTED","IN_PROGRESS","CANCELLED","DONE"]},"environment":{"type":"string"},"version":{"type":"string"},"assignedTo":{"type":"string"},"plannedStartDate":{"type":"string","format":"date-time"},"plannedEndDate":{"type":"string","format":"date-time"},"isAdhoc":{"type":"boolean"},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"DTOTestCaseUpdateRequest":{"required":["name","priority","status","type","version"],"type":"object","properties":{"version":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["UNIT","INTEGRATION","FUNCTIONAL","ACCEPTANCE","REGRESSION","PERFORMANCE","SECURITY","END_TO_END","OTHER"]},"name":{"minLength":1,"type":"string"},"objective":{"type":"string"},"preconditions":{"type":"string"},"postconditions":{"type":"string"},"status":{"type":"string","enum":["DRAFT","APPROVED","DEPRECATED"]},"priority":{"type":"string","enum":["LOW","MEDIUM","HIGH"]}}},"DTOTestCase":{"required":["applicationId","container","createdAt","createdBy","id","key","name","objective","postconditions","preconditions","priority","type","updatedAt","versionNumber","versionStatus"],"type":"object","properties":{"id":{"type":"integer","format":"int64"},"applicationId":{"type":"integer","format":"int64"},"key":{"type":"string"},"versionNumber":{"type":"integer","format":"int32"},"name":{"type":"string"},"objective":{"type":"string"},"preconditions":{"type":"string"},"postconditions":{"type":"string"},"versionStatus":{"type":"string","enum":["DRAFT","APPROVED","DEPRECATED"]},"type":{"type":"string","enum":["UNIT","INTEGRATION","FUNCTIONAL","ACCEPTANCE","REGRESSION","PERFORMANCE","SECURITY","END_TO_END","OTHER"]},"priority":{"type":"string","enum":["LOW","MEDIUM","HIGH"]},"container":{"oneOf":[{"$ref":"#/components/schemas/DTOConfluenceInstanceContainer"},{"$ref":"#/components/schemas/DTOConfluencePageContainer"},{"$ref":"#/components/schemas/DTOConfluenceSpaceContainer"},{"$ref":"#/components/schemas/DTOExcelFileContainer"},{"$ref":"#/components/schemas/DTOJiraInstanceContainer"},{"$ref":"#/components/schemas/DTOJiraIssueContainer"},{"$ref":"#/components/schemas/DTOJiraProjectContainer"},{"$ref":"#/components/schemas/DTOStandaloneProjectContainer"},{"$ref":"#/components/schemas/DTOTestCaseVersionContainer"}]},"createdBy":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"DTOTestStepRequestItem":{"required":["stepNumber"],"type":"object","properties":{"stepNumber":{"minimum":1,"type":"integer","format":"int32"},"actionDescription":{"type":"string"},"testData":{"type":"string"},"expectedResult":{"type":"string"}}},"DTOTestStepsUpdateRequest":{"required":["steps","version"],"type":"object","properties":{"version":{"type":"integer","format":"int32"},"steps":{"maxItems":2147483647,"minItems":1,"type":"array","items":{"$ref":"#/components/schemas/DTOTestStepRequestItem"}}}},"DTOTestStep":{"required":["applicationId","stepNumber","testCaseVersionId"],"type":"object","properties":{"applicationId":{"type":"integer","format":"int64"},"testCaseVersionId":{"type":"integer","format":"int64"},"stepNumber":{"type":"integer","format":"int32"},"actionDescription":{"type":"string"},"testData":{"type":"string"},"expectedResult":{"type":"string"}}},"DTORequirementLinkUpdateRequest":{"required":["relationshipId"],"type":"object","properties":{"relationshipId":{"type":"integer","format":"int64"}}},"AbstractMark":{"required":["attrs","type"],"type":"object","properties":{"type":{"type":"string","enum":["alignment","code","em","link","strike","strong","subsup","textColor","backgroundColor","underline","indentation","unknown"]},"attrs":{"$ref":"#/components/schemas/JsonNode"}},"discriminator":{"propertyName":"type"}},"AbstractNode":{"type":"object","properties":{"type":{"type":"string"},"attrs":{"$ref":"#/components/schemas/JsonNode"},"marks":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/Alignment"},{"$ref":"#/components/schemas/BackgroundColor"},{"$ref":"#/components/schemas/Code"},{"$ref":"#/components/schemas/Em"},{"$ref":"#/components/schemas/Indentation"},{"$ref":"#/components/schemas/Link"},{"$ref":"#/components/schemas/Strike"},{"$ref":"#/components/schemas/Strong"},{"$ref":"#/components/schemas/SubSup"},{"$ref":"#/components/schemas/TextColor"},{"$ref":"#/components/schemas/Underline"}]}}},"discriminator":{"propertyName":"type"}},"Alignment":{"required":["attrs","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractMark"}]},"BackgroundColor":{"required":["attrs","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractMark"}]},"BlockCard":{"required":["text"],"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"},{"type":"object","properties":{"text":{"type":"string"}}}]},"Blockquote":{"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"},{"type":"object","properties":{"content":{"type":"array","items":{"oneOf":[{"$ref":"#/components/schemas/BlockCard"},{"$ref":"#/components/schemas/Blockquote"},{"$ref":"#/components/schemas/BodiedExtension"},{"$ref":"#/components/schemas/BulletList"},{"$ref":"#/components/schemas/Caption"},{"$ref":"#/components/schemas/CodeBlock"},{"$ref":"#/components/schemas/Date"},{"$ref":"#/components/schemas/DecisionItem"},{"$ref":"#/components/schemas/DecisionList"},{"$ref":"#/components/schemas/Doc"},{"$ref":"#/components/schemas/EmbedCard"},{"$ref":"#/components/schemas/Emoji"},{"$ref":"#/components/schemas/Expand"},{"$ref":"#/components/schemas/Extension"},{"$ref":"#/components/schemas/HardBreak"},{"$ref":"#/components/schemas/Heading"},{"$ref":"#/components/schemas/InlineCard"},{"$ref":"#/components/schemas/InlineExtension"},{"$ref":"#/components/schemas/LayoutColumn"},{"$ref":"#/components/schemas/LayoutSection"},{"$ref":"#/components/schemas/ListItem"},{"$ref":"#/components/schemas/Media"},{"$ref":"#/components/schemas/MediaGroup"},{"$ref":"#/components/schemas/MediaInline"},{"$ref":"#/components/schemas/MediaSingle"},{"$ref":"#/components/schemas/Mention"},{"$ref":"#/components/schemas/NestedExpand"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/Panel"},{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Placeholder"},{"$ref":"#/components/schemas/RichMedia"},{"$ref":"#/components/schemas/Rule"},{"$ref":"#/components/schemas/Status"},{"$ref":"#/components/schemas/Table"},{"$ref":"#/components/schemas/TableCell"},{"$ref":"#/components/schemas/TableHeader"},{"$ref":"#/components/schemas/TableRow"},{"$ref":"#/components/schemas/TaskItem"},{"$ref":"#/components/schemas/TaskList"},{"$ref":"#/components/schemas/Text"}]}}}}]},"BodiedExtension":{"required":["extensionKey"],"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"},{"type":"object","properties":{"extensionKey":{"type":"string"}}}]},"BulletList":{"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"}]},"Caption":{"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"}]},"Code":{"required":["attrs","type"],"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractMark"}]},"CodeBlock":{"type":"object","allOf":[{"$ref":"#/components/schemas/AbstractNode"}]},"DTOBaselinedRequirementDetail":{"required":["fromLinks","historyId","id","jiraLinks","originLinks","originalContainer","requirementId","toLi
[...]
